                RewriteRule "^reminder/user/(\d+)/message/$" "/reminder/user/message/index.php?userId=$1" [QSA,L]
                RewriteRule "^reminder/user/(\d+)/message/(\d+)$" "/reminder/user/message/index.php?userId=$1&userMessageId=$2" [QSA,L]
                RewriteRule "^reminder/user/(\d+)/message/(\d+)/$" "/reminder/user/message/index.php?userId=$1&userMessageId=$2" [QSA,L]
